function CrowdUpdate()
	local as = gSportsRNA
	local state = as:GetTable("wvState")
	local crowd = as:GetTable("wvCrowd")

	db.crowd.lightID = as:GetInt(crowd, "stadLightID")
	db.crowd.homeTeamID = as:GetInt(crowd, "homeTeamID")
	db.crowd.awayTeamID = as:GetInt(crowd, "awayTeamID")

	-- db.crowd.wet = math.min( 1, as:GetInt(state, "wvAttribStadWeather" ))
	db.crowd.wet = 1
	as:SetInt(state, "wvAttribStadWeather", 1)

end

function CrowdAssetBind(crowd)
	local gr = gRenderables
	local lod = 0
	local priority = 1

	gr:AddCallback(crowd, lod, "CrowdUpdate()")

	gr:AddAsset(crowd, lod, "shader", "data/fifarna/shader.big", priority)

	-- TODO: enable weather crowd. Value should be 0 or 1 (last field before .rx3)

	gr:AddAsset(crowd, lod, "bodymesh0", "data/sceneassets/crowd/crowd_0_0_${db.crowd.lightID}_${db.crowd.wet}.rx3", priority)
	gr:AddAsset(crowd, lod, "bodymesh1", "data/sceneassets/crowd/crowd_0_1_${db.crowd.lightID}_${db.crowd.wet}.rx3", priority)
	gr:AddAsset(crowd, lod, "bodymesh2", "data/sceneassets/crowd/crowd_0_2_${db.crowd.lightID}_${db.crowd.wet}.rx3", priority)
	gr:AddAsset(crowd, lod, "bodymesh3", "data/sceneassets/crowd/crowd_0_3_${db.crowd.lightID}_${db.crowd.wet}.rx3", priority)

	gr:AddAsset(crowd, lod, "bodytex0", "data/sceneassets/crowd/crowd_0_0_${db.crowd.lightID}_${db.crowd.wet}_textures.rx3", priority)
	gr:AddAsset(crowd, lod, "bodytex1", "data/sceneassets/crowd/crowd_0_1_${db.crowd.lightID}_${db.crowd.wet}_textures.rx3", priority)
	gr:AddAsset(crowd, lod, "bodytex2", "data/sceneassets/crowd/crowd_0_2_${db.crowd.lightID}_${db.crowd.wet}_textures.rx3", priority)
	gr:AddAsset(crowd, lod, "bodytex3", "data/sceneassets/crowd/crowd_0_3_${db.crowd.lightID}_${db.crowd.wet}_textures.rx3", priority)

	gr:AddAsset(crowd, lod, "chairmesh0", "data/sceneassets/crowdchair/crowdchair_0.rx3", priority)
	gr:AddAsset(crowd, lod, "chairtex0", "data/sceneassets/crowdchair/chaircmn_textures.rx3", priority)

	gr:AddAsset(crowd, lod, "scarfmesh0", "data/sceneassets/crowd/crowd_scarf_0.rx3", priority)
	gr:AddAsset(crowd, lod, "scarftex_home", "data/sceneassets/flag/flag_${db.crowd.homeTeamID}.rx3", priority)
	gr:AddAsset(crowd, lod, "scarftex_away", "data/sceneassets/flag/flag_${db.crowd.awayTeamID}.rx3", priority)

	-- banner textures
	-- names indexed as follows
	-- 0 - empty
	-- 1 - home
	-- 2 - away
	-- 3 - neutral
	gr:AddAsset(crowd, lod, "bannertex0", "data/sceneassets/banner/banner_0.rx3", priority)
	gr:AddAsset(crowd, lod, "bannertex1", "data/sceneassets/banner/banner_${db.crowd.homeTeamID}.rx3;data/sceneassets/banner/banner_0.rx3", priority)
	gr:AddAsset(crowd, lod, "bannertex2", "data/sceneassets/banner/banner_${db.crowd.awayTeamID}.rx3;data/sceneassets/banner/banner_0.rx3", priority)
	gr:AddAsset(crowd, lod, "bannertex3", "data/sceneassets/banner/banner_0.rx3", priority)

	return crowd
end